#include <bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, q, x, y, bn;
    cin>>n;
    int a[n];
    bool dp[n-1];
    for(int i=0; i<n; i++){
        cin>>a[i];
    }
    for(int i=0; i<n-1; i++){
        if(a[i]>a[i+1]) dp[i] = false;
        else dp[i] = true;

    }

   

    cin>>q;
    for(int i=0; i<q; i++){
        cin>>x>>y;
        x-=1;
        y-=2;
        bn=0;
        for(int j=x; j<=y; j++){
            if(dp[j]==false) bn++;
            if(bn>1) break;
        }

        if(bn<=1) cout<<"DA"<<endl;
        else cout<<"NE"<<endl;
        
    }




}